juzu.io

## Interface Stream

- All Superinterfaces:
    Appendable, AutoCloseable, Closeable, Flushable
  All Known Implementing Classes:
    AppendableStream, BinaryOutputStream, BinaryStream, CharStream

      public interface Stream
      extends Flushable, Closeable, Appendable

  Author:
    Julien Viet

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `BUFFER_SIZE` .

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Stream` | `append(byte[] data)`
    `Stream` | `append(byte[] data, int off, int len)`
    `Stream` | `append(ByteBuffer buffer)`
    `Stream` | `append(char c)`
    `Stream` | `append(CharBuffer buffer)`
    `Stream` | `append(CharSequence csq)`
    `Stream` | `append(CharSequence csq, int start, int end)`

    - ### Methods inherited from interface java.io.Flushable

      `flush`

    - ### Methods inherited from interface java.io.Closeable

      `close`

- - ### Field Detail

    - #### BUFFER_SIZE

          static final int BUFFER_SIZE

      .
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### append

          Stream append(CharBuffer buffer)
                        throws IOException

      Throws:
        `IOException`

    - #### append

          Stream append(CharSequence csq)
                        throws IOException

      Specified by:
        `append` in interface `Appendable`
      Throws:
        `IOException`

    - #### append

          Stream append(CharSequence csq,
                      int start,
                      int end)
                        throws IOException

      Specified by:
        `append` in interface `Appendable`
      Throws:
        `IOException`

    - #### append

          Stream append(ByteBuffer buffer)
                        throws IOException

      Throws:
        `IOException`

    - #### append

          Stream append(char c)
                        throws IOException

      Specified by:
        `append` in interface `Appendable`
      Throws:
        `IOException`

    - #### append

          Stream append(byte[] data)
                        throws IOException

      Throws:
        `IOException`

    - #### append

          Stream append(byte[] data,
                      int off,
                      int len)
                        throws IOException

      Throws:
        `IOException`

Copyright © 2013 eXo Platform SAS. All Rights Reserved.